#
# spec file for package python-pyngus
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_without test
Name:           python-pyngus
Version:        2.2.0
Release:        3.1
Summary:        Callback API implemented over Proton
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://github.com/kgiusti/pyngus
Source:         https://files.pythonhosted.org/packages/source/p/pyngus/pyngus-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
Requires:       python-python-qpid-proton >= 0.9
BuildArch:      noarch
%if %{with test}
BuildRequires:  %{python_module python-qpid-proton >= 0.9}
%endif
%python_subpackages

%description

%prep
%setup -q -n pyngus-%{version}

%build
%python_build

%install
%python_install

%files %{python_files}
%license LICENSE
%doc README.md
%{python_sitelib}/*

%changelog
* Tue Dec  4 2018 mcepl@suse.com
- Remove superfluous devel dependency for noarch package
* Mon Aug  7 2017 tbechtold@suse.com
- Fix Requires
* Fri Apr 14 2017 tbechtold@suse.com
- Initial packaging (version 2.2.0)
